Main Page Packages Class Hierarchy Compound List File List Compound Members

# textsplittextfour Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| textsplittextfour (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "splitText(offset)" method returns the new Text node.

Retrieve the textual data from the last child of the first employee and invoke the "splitText(offset)" method. The method should return the new Text node. The offset value used for this test is 30. The "getNodeValue()" method is called to check that the new node now contains the characters at and after position 30. (Starting count at 0)

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-38853C1D

Definition at line 47 of file textsplittextfour.java.

## Constructor & Destructor Documentation

textsplittextfour::textsplittextfour | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 49 of file textsplittextfour.java.
    00050  {
    00051       super(factory);
    00052
    00053    }

## Member Function Documentation

String textsplittextfour::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 71 of file textsplittextfour.java.
    00071                                 {
    00072       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/textsplittextfour";
    00073    }

void textsplittextfour::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 74 of file textsplittextfour.java. References DOMTestCase::doMain().
    00074                                           {
    00075         DOMTestCase.doMain(textsplittextfour.class,args);
    00076    }

void textsplittextfour::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 55 of file textsplittextfour.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00055                                                     {
    00056       Document doc;
    00057       NodeList elementList;
    00058       Node addressNode;
    00059       Text textNode;
    00060       Text splitNode;
    00061       String value;
    00062       doc = load("staff");
    00063       elementList = doc.getElementsByTagName("address");
    00064       addressNode = elementList.item(0);
    00065       textNode = (Text)addressNode.getFirstChild();
    00066       splitNode = textNode.splitText(30);
    00067       value = splitNode.getNodeValue();
    00068       assertEquals("textSplitTextFourAssert","98551",value);
    00069
    00070    }

The documentation for this class was generated from the following file:

- textsplittextfour.java